services:
  macos:
    image: dockurr/macos
    container_name: macos
    environment:
# ventura
      VERSION: "13"
# for small screen to reduce load
      VGA: "std"
# cpus aren't dedicated/pinned, they spread as they please and can be used concurrently
      CPUS: "2"
# i DONT got plenty of ram
      RAM_SIZE: "2.5G"
# fixes a bit of stutter
      ARGS: "-device usb-tablet"
# needed to function
    devices:
      - /dev/dri
      - /dev/kvm
      - /dev/net/tun
# memory has to be shared
    shm_size: 6gb
# also unfortunately required
    cap_add:
      - NET_ADMIN
# web interface, vnc
    ports:
      - 8006:8006
      - 5900:5900/tcp
      - 5900:5900/udp
# storage volume
    volumes:
      - ./macos:/storage
    restart: always
    stop_grace_period: 2m
# dnsforge.de adblocking dns
    dns:
      - 49.12.67.122
      - 2a01:4f8:c013:29d::122